import http from '@/utils/httpConfig';

export const orgListTree = (data) => {
  return http('/user/org/list_tree', data)
}

export const orgList = (data) => {
  return http('/user/org/index', data)
}

export const orgAdd = (data) => {
  return http('/user/org/add', data)
}

export const orgEdit = (data) => {
  return http('/user/org/edit', data)
}

export const orgDetail = (data) => {
  return http('/user/org/detail', data)
}

export const orgDelete = (data) => {
  return http('/user/org/delete', data)
}

export const userList = (data) => {
  return http('/user/main/index', data)
}

export const userEdit = (data) => {
  return http('/user/main/edit', data)
}

// 成员添加
export const userAdd = (data = {}) => {
  return http('/user/org/add_user', data)
}

// 成员移除
export const userRemove = (data = {}) => {
  return http('/user/org/remove_user', data)
}

// 管理员添加
export const userMasterAdd = (data = {}) => {
  return http('/user/org/add_master', data)
}

// 管理员移除
export const userMasterRemove = (data = {}) => {
  return http('/user/org/remove_master', data)
}

export const settingList = (data = {}) => {
  return http('/user/org_menu/setting_tyyx', data)
}

export const menuAdd = (data = {}) => {
  return http('/user/org_menu/add', data)
}